extends Button

var window_mode: int = 0

func _ready():
    update_window()

func _on_item_selected(index: int):
    if index == 0:
        window_mode = 0
    elif index == 1:
        window_mode = 3
    else:
        window_mode = 4
    update_window()

func update_window():
    DisplayServer.window_set_mode(window_mode)
#    if window_mode != 0:
#        $"../../../Rez".hide()
#    else:
#        $"../../../Rez".show()
